package hikapro.com.backpack.view.recycler;

import android.support.v7.widget.RecyclerView;
import android.view.View;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.ImageButton;
import android.widget.TextView;

import hikapro.com.backpack.R;


/**
 * Created by tariel on 01/05/16.
 */
public class ItemViewHolder extends RecyclerView.ViewHolder {

    public int id;
    public CheckBox     checkBox;
    public Button       undoButton;
    public ImageButton  infoButton;

    public ItemViewHolder(View v) {
        super(v);
        setupViews(v);
    }

    private void setupViews(View view) {
        infoButton  = (ImageButton) view.findViewById(R.id.info_button);
        checkBox    = (CheckBox) view.findViewById(R.id.item_checkbox);
        undoButton  = (Button) view.findViewById(R.id.undo_button);
    }

}
