package hikapro.com.backpack.model.dao;

/**
 * Created by tariel on 27/04/16.
 */
public interface Command {

    int SET_SCOPE_END           = 0x77;
    int ITEM_SCOPE_END          = 0x8B;
    int MY_LIST_SCOPE_END       = 0x9F;


    int SET_GET_ALL             = 0x64;
    int SET_REORDER             = 0x65;
    int SET_GET_ITEMS           = 0x66;
    int SET_GET_PACKED_ITEMS    = 0x67;
    int SET_UNPACK_ITEMS        = 0x68;

    int ITEM_DELETE_FROM_SET    = 0x78;
    int ITEM_INSERT             = 0x79;
    int ITEM_PACK               = 0x7A;
    int ITEM_UNPACK             = 0x7B;
    int ITEM_GET_CATEGORIES     = 0x7C;
    int ITEM_GET_IMAGE          = 0x7D;

    int MY_LIST_POST            = 0x8C;
    int MY_LIST_ITEM_ADD        = 0x8D;
    int MY_LIST_ITEM_DELETE     = 0x8E;
    int MY_LIST_CLEAR           = 0x8F;

    int SYNC                    = 0xA0;
    int SYNC_IF_NOT_EXISTS      = 0xA1;

    int TEST                    = 0xC8;

}
